Name:    kmousetool
Version: 4.8.3
Release: 1%{?dist}
Summary: A program that clicks the mouse for you

License: GPLv2+
URL:     http://accessibility.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  libXtst-devel

# when split occured
Conflicts: kdeaccessibility < 1:4.7.80

%description
A program for people whom it hurts to click the mouse.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# hack around HTML doc multilib conflicts
# HTML docs are no longer multilib'd, but meh.  -- Rex
# is this still needed then??? -- Jaroslav
pushd %{buildroot}%{_kde4_docdir}/HTML/en/kmousetool
bunzip2 index.cache.bz2
sed -i -e 's!<a name="id[0-9]*"></a>!!g' index.cache
bzip2 -9 index.cache
popd


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kmousetool.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%files
%doc AUTHORS COPYING COPYING.DOC ChangeLog README TODO
%{_kde4_bindir}/kmousetool
%{_kde4_appsdir}/kmousetool/
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_docdir}/HTML/en/kmousetool/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/*.1*


%changelog
* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Wed Dec 14 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.90-1
- 4.7.90 (beta 2)

* Tue Nov 29 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.80-2
- add libXtst-devel BR

* Mon Nov 28 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.80-1
- initial package
